$compile unit

$error all-
$lib all-

defint a-z





' Low-Res Graphics Routines 

'Ŀ
' SUBROUTINE SetPoint(r%,c%)                                        
'    Set a low-res graphics point using characters 219, 220 and 223.
'    R% ranges from 0 to 49, C% from 0 to 79.                       
'

   SUB SetPoint(r%,c%)  Public
      LOCAL row%,col%,lower%,pnt%,pchr%
      row%=r%\2+1
      col%=c%+1
      lower%=(r% AND 1)
      pnt%=SCREEN(row%,col%)
      IF lower% THEN
         pchr%=220
         IF pnt%=223 OR pnt%=219 THEN
            pchr%=219
         END IF
      ELSE
         pchr%=223
         IF pnt%=220 OR pnt%=219 THEN
            pchr%=219
         END IF
      END IF
      LOCATE row%,col%,0 : PRINT CHR$(pchr%);
   END SUB


'Ŀ
' SUBROUTINE ResetPoint(r%,c%)                                      
'    Reset a low-res graphics point using characters 32, 220 and 223
'    R% ranges from 0 to 49, C% from 0 to 79.                       
'

   SUB ResetPoint(r%,c%)  Public
      LOCAL row%,col%,lower%,pnt%,pchr%
      row%=r%\2+1
      col%=c%+1
      lower%=(r% AND 1)
      pnt%=SCREEN(row%,col%)
      pchr%=32
      IF lower% THEN
         IF pnt%=223 OR pnt%=219 THEN
            pchr%=223
         END IF
      ELSE
         IF pnt%=220 OR pnt%=219 THEN
            pchr%=220
         END IF
      END IF
      LOCATE row%,col%,0 : PRINT CHR$(pchr%);
   END SUB


'Ŀ
' FUNCTION TestPoint%(r%,c%)                                        
'    Returns true/on (-1) or false/off (0) for low-res point status.
'    R% ranges from 0 to 49, C% from 0 to 79.                       
'

   Function TestPoint%(r%,c%)  Public
      LOCAL row%,col%,lower%,flag%,pnt%
      row%=r%\2+1
      col%=c%+1
      lower%=(r% AND 1)
      flag%=0
      pnt%=SCREEN(row%,col%)
      IF lower% THEN
         IF pnt%=220 OR pnt%=219 THEN
            flag%=-1
         END IF
      ELSE
         IF pnt%=223 OR pnt%=219 THEN
            flag%=-1
         END IF
      END IF
      TestPoint%=flag%
   END Function