$IF 0
   THIS FILE: GRAFPRN.BAS
      AUTHOR: Erik Olson
 DESCRIPTION: Prints screen 9 sideways on an epson-compatible printer
 $ENDIF

$compile unit

$error all-
$lib all-

defint a-z

'SCREEN 9
'circle (50,50),25


'CALL GPlotSideways("K",10,10,89,89)  ' Density + Coord window arguments

' The GPlotSideways routine rotates the image 90% counter clockwise


SUB GPlotSideways(D$,x1,y1,x2,y2)  Public ' D$ = K-low Z-quad L-double Y-hsdouble
local x,y,dotx,pbyte$,n2$,n1$,sdbyte

' Single density graphics screen capture and print

WIDTH "LPT1:" , 255

For x = x1 to (x2-8) step 8  ' print width of graphic in 8 pixel high lines
   PByte$=""
   For y = y1 to y2
	SDByte = 0
	     For dotx=7 to 0 step -1  ' get each bit pattern in rows

		if point(x+dotx,y) then SDByte = SDByte + (2^(7-dotx))

	     next dotx
	' form a string for the entire line
	PByte$ = Pbyte$ + CHR$(SDByte)
	Next y
	' output to printer
	N2$=CHR$((y2-y1)\256):N1$=CHR$((y2-y1)-(asc(N2$)*256))
	LPRINT Chr$(27)+"3"+Chr$(24)+Chr$(27)+D$+N1$+N2$+PByte$


	Next x   ' get the next 8 pixel high line

END SUB